Package org.jbpm.shared.services.impl

## Class QueryManager

- java.lang.Object
- - org.jbpm.shared.services.impl.QueryManager

-     public class QueryManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ASCENDING_KEY` |
    `static String` | `DESCENDING_KEY` |
    `static String` | `FILTER` |
    `static String` | `ORDER_BY_KEY` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `QueryManager()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addNamedQueries​(String ormFile)` |
    `static QueryManager` | `get()` |
    `String` | `getQuery​(String name, Map<String,​Object> params)` |
    `protected void` | `parse​(String ormFile)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ORDER_BY_KEY

          public static final String ORDER_BY_KEY

      See Also:
        Constant Field Values

    - #### ASCENDING_KEY

          public static final String ASCENDING_KEY

      See Also:
        Constant Field Values

    - #### DESCENDING_KEY

          public static final String DESCENDING_KEY

      See Also:
        Constant Field Values

    - #### FILTER

          public static final String FILTER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QueryManager

          protected QueryManager()

  - ### Method Detail

    - #### get

          public static QueryManager get()

    - #### addNamedQueries

          public void addNamedQueries​(String ormFile)

    - #### getQuery

          public String getQuery​(String name,
                                 Map<String,​Object> params)

    - #### parse

          protected void parse​(String ormFile)
                        throws XMLStreamException

      Throws:
        `XMLStreamException`